curl --request GET \
--url https://api.tupana.ai/v2/webhooks/{webhook_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/webhooks/{webhook_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/webhooks/{webhook_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/webhooks/{webhook_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/webhooks/{webhook_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/webhooks/{webhook_id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/webhooks/{webhook_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "dowe_2c9e5a1b7f3d0",
"url": "<string>",
"events": [
"document.issued"
],
"events_display": [
"Emitido",
"Entregado",
"Rechazado SII"
],
"secret": "<string>",
"is_active": true,
"last_status_code": 123,
"last_sent_at": "2023-11-07T05:31:56Z",
"success_rate": 50,
"last_delivery": {
"id": "wede_5f1c2a9b7d3e0",
"event": "<string>",
"is_success": true,
"status_code": 123,
"sent_at": "2023-11-07T05:31:56Z",
"document_id": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"environment": "both",
"api_version": 1
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}Obtener webhook
Detalle de un webhook de una empresa accesible con la API key. Un webhook de otra empresa responde 404.
curl --request GET \
--url https://api.tupana.ai/v2/webhooks/{webhook_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/webhooks/{webhook_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/webhooks/{webhook_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/webhooks/{webhook_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/webhooks/{webhook_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/webhooks/{webhook_id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/webhooks/{webhook_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "dowe_2c9e5a1b7f3d0",
"url": "<string>",
"events": [
"document.issued"
],
"events_display": [
"Emitido",
"Entregado",
"Rechazado SII"
],
"secret": "<string>",
"is_active": true,
"last_status_code": 123,
"last_sent_at": "2023-11-07T05:31:56Z",
"success_rate": 50,
"last_delivery": {
"id": "wede_5f1c2a9b7d3e0",
"event": "<string>",
"is_success": true,
"status_code": 123,
"sent_at": "2023-11-07T05:31:56Z",
"document_id": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"environment": "both",
"api_version": 1
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}404.Authorizations
API Key para autenticación. Debe proporcionarse en el header Authorization con el formato: 'Api-Key YOUR-API-KEY' (incluye el prefijo 'Api-Key ' seguido de tu API key)
Path Parameters
public_id del webhook (dowe_…)
Response
Webhook
ID único del webhook
"dowe_2c9e5a1b7f3d0"
URL del endpoint que recibe las notificaciones
Lista de eventos configurados
document.issued, document.delivered, document.rejected, document.trace_updated, document.paid, document.unpaid, document.cancelled Nombres legibles de los eventos
["Emitido", "Entregado", "Rechazado SII"]
Clave secreta para verificar notificaciones
Si el webhook está activo
Último código HTTP de respuesta
Fecha de último envío
Tasa de éxito de entregas (0-100)
0 <= x <= 100Información de la última entrega
Show child attributes
Show child attributes
Fecha de creación
Fecha de última actualización
De qué ambiente recibe eventos de documentos: both (default), production o sandbox. Los eventos que no son de documento (credenciales, folios, cobros, programados) se entregan como producción.
both, production, sandbox Formato de los identificadores que viajan en el payload. 2: todos los ids son public_id (docu_… documento, ment_… emisor/receptor, scdo_… programado, fir_… solicitud de folios, dowe_… webhook). 1: ids enteros, el contrato de la API v1. Si se omite, el default sigue la ruta de creación: /v2/webhooks/ crea en 2 y /v1/webhooks/ crea en 1 (desde la plataforma, la versión que ya usa la empresa). Los webhooks creados antes de octubre 2026 quedaron en 1: súbelos con PATCH o desde la plataforma.
1, 2 